import { App } from 'vue'
import * as components from './components'

// 导出所有组件
export * from './components'

// 导出组件库版本
export const version = '0.0.1'

// 导出安装方法
export const install = (app: App) => {
  Object.entries(components).forEach(([path, module]: [string, any]) => {
    app.component(path, module)
  })
}

// 默认导出
export default {
  version,
  install
} 